searchNodes=[{"ref":"INA219.html","title":"INA219","type":"module","doc":"INA219 Driver for Elixir using ElixirALE. Usage In your config.exs add the following: config :ina219, devices: [ %{ bus: &quot;i2c-1&quot;, address: 0x41, commands: [:calibrate_32V_2A!], current_divisor: 10, power_divisor: 2 } ] You must set the bus and address values according to your system. Calibration Calibrating these wee chips is a bit of a pain in the donkey, but is easily achieved by following the equation in the data sheet. Once you have the calibration and divisor values you wish to use you can configure the device manually (see the hexdocs for INA219.Commands for more information). For example: %{ bus: &quot;i2c-1&quot;, address: 0x41, commands: [ calibrate: 8192, bus_voltage_range: 32, shunt_voltage_pga: 8, bus_adc_resolution_and_averaging: {1, 12}, shunt_adc_resolution_and_averaging: {1, 12}, mode: :shunt_and_bus_voltage_continuous ], current_divisor: 10, power_divisor: 2 }"},{"ref":"INA219.html#connect/1","title":"INA219.connect/1","type":"function","doc":"Connect to an INA219 device."},{"ref":"INA219.html#disconnect/1","title":"INA219.disconnect/1","type":"function","doc":"Disconnect an INA219 device."},{"ref":"INA219.Commands.html","title":"INA219.Commands","type":"module","doc":"This module allows execution of all I2C commands to and from the INA219. It&#39;s pretty handy that the INA219 only has two-byte registers, which makes life a lot simpler for me."},{"ref":"INA219.Commands.html#bus_adc_resolution_and_averaging/1","title":"INA219.Commands.bus_adc_resolution_and_averaging/1","type":"function","doc":"Retrieve the bus ADC resolution and averaging. Returns the number of samples and the resolution as a two element tuple. eg {1, 9} refers to 9-bit ADC resolution and 1-sample averaging."},{"ref":"INA219.Commands.html#bus_adc_resolution_and_averaging/2","title":"INA219.Commands.bus_adc_resolution_and_averaging/2","type":"function","doc":"Set the bus ADC resolution and averaging. Expects a tuple of the form {samples, bits}. Be aware that changing this value affects the amount of time it takes to compute values. Refer to the datasheet for more information. Valid values are: { 1, 9} - 1 sample averaging and 9 bit ADC resolution. { 1, 10} - 1 sample averaging and 10 bit ADC resolution. { 1, 11} - 1 sample averaging and 11 bit ADC resolution. { 1, 12} - 1 sample averaging and 12 bit ADC resolution. { 2, 12} - 2 sample averaging and 12 bit ADC resolution. { 4, 12} - 4 sample averaging and 12 bit ADC resolution. { 8, 12} - 8 sample averaging and 12 bit ADC resolution. { 16, 12} - 16 sample averaging and 12 bit ADC resolution. { 32, 12} - 32 sample averaging and 12 bit ADC resolition. { 64, 12} - 64 sample averaging and 12 bit ADC resolution. {128, 12} - 128 sample averaging and 12 bit ADB resolution."},{"ref":"INA219.Commands.html#bus_voltage/1","title":"INA219.Commands.bus_voltage/1","type":"function","doc":"Returns the bus voltage in mV."},{"ref":"INA219.Commands.html#bus_voltage_range/1","title":"INA219.Commands.bus_voltage_range/1","type":"function","doc":"Retrieve the configured bus voltage range."},{"ref":"INA219.Commands.html#bus_voltage_range/2","title":"INA219.Commands.bus_voltage_range/2","type":"function","doc":"Set the configured bus voltage range to either 16 or 32V."},{"ref":"INA219.Commands.html#calibrate/2","title":"INA219.Commands.calibrate/2","type":"function","doc":"Set the calibration value."},{"ref":"INA219.Commands.html#calibrate_16V_400mA!/1","title":"INA219.Commands.calibrate_16V_400mA!/1","type":"function","doc":"This is a convenient helper function to set the configuration to the right values for 16V input and 400mA current range at the highest resolution (0.1mA). This only works for devices with a 0.1Ω shunt resistor (ie Adafruit&#39;s breakout). Make sure that you configure your device with a current_divisor of 20 and a power_divisor of 1."},{"ref":"INA219.Commands.html#calibrate_32V_1A!/1","title":"INA219.Commands.calibrate_32V_1A!/1","type":"function","doc":"This is a convenient helper function to set the configuration to the right values for 32V input voltage range and 1A current range at the cost of accuracy. This only works for devices with a 0.1Ω shunt resistor (ie Adafruit&#39;s breakout). Make sure that you configure your device with a current_divisor of 25 and a power_divisor of 1."},{"ref":"INA219.Commands.html#calibrate_32V_2A!/1","title":"INA219.Commands.calibrate_32V_2A!/1","type":"function","doc":"This is a convenient helper function to set the configuration to the right values for 32V input voltage range and 2A current range at the cost of accuracy. This only works for devices with a 0.1Ω shunt resistor (ie Adafruit&#39;s breakout). Make sure that you configure your device with a current_divisor of 10 and a power_divisor of 2."},{"ref":"INA219.Commands.html#conversion_ready?/1","title":"INA219.Commands.conversion_ready?/1","type":"function","doc":"Are new samples ready since the last time you read them? Calling this function will clear the value until next time new samples are ready."},{"ref":"INA219.Commands.html#current/2","title":"INA219.Commands.current/2","type":"function","doc":"Returns the current in mA."},{"ref":"INA219.Commands.html#math_overflow?/1","title":"INA219.Commands.math_overflow?/1","type":"function","doc":"Returns true when power or current calculations are out of range. This indicates that current and power data may be meaningless."},{"ref":"INA219.Commands.html#mode/1","title":"INA219.Commands.mode/1","type":"function","doc":"Retrieve the current operating mode of the device."},{"ref":"INA219.Commands.html#mode/2","title":"INA219.Commands.mode/2","type":"function","doc":"Set the current operating mode for the device. Valid values are: :power_down :shunt_voltage_triggered :bus_voltage_triggered :adc_off :shunt_voltage_continuous :bus_voltage_continuous :shunt_and_bus_voltage_continuous"},{"ref":"INA219.Commands.html#power/2","title":"INA219.Commands.power/2","type":"function","doc":"Returns the power in mW"},{"ref":"INA219.Commands.html#reset!/1","title":"INA219.Commands.reset!/1","type":"function","doc":"Power-on-reset the device,"},{"ref":"INA219.Commands.html#shunt_adc_resolution_and_averaging/1","title":"INA219.Commands.shunt_adc_resolution_and_averaging/1","type":"function","doc":"Retrieve the shunt ADC resolution. Returns the number of samples and the resolution as a two element tuple. eg {1, 9} refers to 9-bit ADC resolution and 1-sample averaging."},{"ref":"INA219.Commands.html#shunt_adc_resolution_and_averaging/2","title":"INA219.Commands.shunt_adc_resolution_and_averaging/2","type":"function","doc":"Set the shunt ADC resolution and averaging. Expects a tuple of the form {samples, bits}. Be aware that changing this value affects the amount of time it takes to compute values. Refer to the datasheet for more information. Valid values are: { 1, 9} - 1 sample averaging and 9 bit ADC resolution. { 1, 10} - 1 sample averaging and 10 bit ADC resolution. { 1, 11} - 1 sample averaging and 11 bit ADC resolution. { 1, 12} - 1 sample averaging and 12 bit ADC resolution. { 2, 12} - 2 sample averaging and 12 bit ADC resolution. { 4, 12} - 4 sample averaging and 12 bit ADC resolution. { 8, 12} - 8 sample averaging and 12 bit ADC resolution. { 16, 12} - 16 sample averaging and 12 bit ADC resolution. { 32, 12} - 32 sample averaging and 12 bit ADC resolition. { 64, 12} - 64 sample averaging and 12 bit ADC resolution. {128, 12} - 128 sample averaging and 12 bit ADB resolution."},{"ref":"INA219.Commands.html#shunt_voltage/1","title":"INA219.Commands.shunt_voltage/1","type":"function","doc":"Returns the shunt voltage in mV."},{"ref":"INA219.Commands.html#shunt_voltage_pga/1","title":"INA219.Commands.shunt_voltage_pga/1","type":"function","doc":"Retrieve the configured shunt voltage PGA. Returns the gain value. Valid values are: 1 - gain 1, range +40mV. 2 - gain +2, range +80mV. 4 - gain +4, range +160mV. 8 - gain +8, range +320mV."},{"ref":"INA219.Commands.html#shunt_voltage_pga/2","title":"INA219.Commands.shunt_voltage_pga/2","type":"function","doc":"Set the configured shunt voltage PGA to a configured value. Valid values are: 1 - gain 1, range +40mV. 2 - gain +2, range +80mV. 4 - gain +4, range +160mV. 8 - gain +8, range +320mV."},{"ref":"INA219.Device.html","title":"INA219.Device","type":"module","doc":"An individual INA219 device. Each device needs it&#39;s configuration specified in your application&#39;s configuration. Example configuration: config :ina219, devices: [ %{ bus: &quot;i2c-1&quot;, address: 0x41, name: :sensor0, commands: [:calibrate_32V_1A!], current_divisor: 10, power_divisor: 2 } ] Note that bus and address are required. All other parameters are optional. If no name is provided then a tuple of the bus name and address will be used, for example the device above would be named {&quot;i2c-1&quot;, 0x41}."},{"ref":"INA219.Device.html#bus_voltage/1","title":"INA219.Device.bus_voltage/1","type":"function","doc":"Returns the bus voltage in mV."},{"ref":"INA219.Device.html#child_spec/1","title":"INA219.Device.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"INA219.Device.html#conversion_ready?/1","title":"INA219.Device.conversion_ready?/1","type":"function","doc":"Are new samples ready since the last time you read them? Calling this function will clear the value until next time new samples are ready."},{"ref":"INA219.Device.html#current/1","title":"INA219.Device.current/1","type":"function","doc":"Returns the current in mA."},{"ref":"INA219.Device.html#current_divisor/1","title":"INA219.Device.current_divisor/1","type":"function","doc":"Retrieve the current divisor from the process configuration."},{"ref":"INA219.Device.html#current_divisor/2","title":"INA219.Device.current_divisor/2","type":"function","doc":"Set the current divisor in the process configuration."},{"ref":"INA219.Device.html#execute/2","title":"INA219.Device.execute/2","type":"function","doc":"Executes the passed function with the pid of the I2C connection as it&#39;s argument. Use this if you want to manually run functions from Commands or Registers."},{"ref":"INA219.Device.html#math_overflow?/1","title":"INA219.Device.math_overflow?/1","type":"function","doc":"Returns true when power or current calculations are out of range. This indicates that current and power data may be meaningless."},{"ref":"INA219.Device.html#power/1","title":"INA219.Device.power/1","type":"function","doc":"Returns the power in mW"},{"ref":"INA219.Device.html#power_divisor/1","title":"INA219.Device.power_divisor/1","type":"function","doc":"Retrieve the power divisor from the process configuration."},{"ref":"INA219.Device.html#power_divisor/2","title":"INA219.Device.power_divisor/2","type":"function","doc":"Set the power divisor in the process configuration."},{"ref":"INA219.Device.html#shunt_voltage/1","title":"INA219.Device.shunt_voltage/1","type":"function","doc":"Returns the shunt voltage in mV."},{"ref":"INA219.Registers.html","title":"INA219.Registers","type":"module","doc":"Handle reading and writing directly from each device&#39;s registers."},{"ref":"INA219.Registers.html#bus_voltage/1","title":"INA219.Registers.bus_voltage/1","type":"function","doc":"Read the bus voltage register."},{"ref":"INA219.Registers.html#calibration/1","title":"INA219.Registers.calibration/1","type":"function","doc":"Read the calibration register."},{"ref":"INA219.Registers.html#calibration/2","title":"INA219.Registers.calibration/2","type":"function","doc":"Write bytes to the device&#39;s calibration register."},{"ref":"INA219.Registers.html#configuration/1","title":"INA219.Registers.configuration/1","type":"function","doc":"Read the device&#39;s configuration register."},{"ref":"INA219.Registers.html#configuration/2","title":"INA219.Registers.configuration/2","type":"function","doc":"Write bytes to the device&#39;s configuration register."},{"ref":"INA219.Registers.html#current/1","title":"INA219.Registers.current/1","type":"function","doc":"Read the current register."},{"ref":"INA219.Registers.html#power/1","title":"INA219.Registers.power/1","type":"function","doc":"Read the power register."},{"ref":"INA219.Registers.html#shunt_voltage/1","title":"INA219.Registers.shunt_voltage/1","type":"function","doc":"Read the shunt voltage register."}]